POST
/v1/mgmt/outbound/app/tenant/token

Authorization

Descope Project ID and Management Key
AuthorizationBearer <token>

Project ID:Management Key as bearer token.

In: header

Request Body

application/json

appId?string
tenantId?string
scopes?array<string>
string
options?object
externalIdentifier?string

Fetch outbound application tenant token

This endpoint allows you to fetch the tenant token for an outbound application.

curl -X POST "https://api.descope.com/v1/mgmt/outbound/app/tenant/token" \  -H "Content-Type: application/json" \  -d '{}'
{  "token": {    "id": "string",    "appId": "string",    "userId": "string",    "tokenSub": "string",    "accessToken": "string",    "accessTokenType": "string",    "accessTokenExpiry": "string",    "hasRefreshToken": true,    "refreshToken": "string",    "lastRefreshTime": "string",    "lastRefreshError": "string",    "scopes": [      "string"    ],    "tenantId": "string",    "grantedBy": "string",    "externalIdentifier": "string"  }}
export interface Response {token?: {id?: stringappId?: stringuserId?: stringtokenSub?: stringaccessToken?: stringaccessTokenType?: stringaccessTokenExpiry?: stringhasRefreshToken?: booleanrefreshToken?: stringlastRefreshTime?: stringlastRefreshError?: stringscopes?: string[]tenantId?: stringgrantedBy?: stringexternalIdentifier?: string}}
Was this helpful?